%define major 1

%define libverto %mklibname verto %{major}
%define devverto %mklibname verto -d
%define libglib %mklibname verto-glib %{major}
%define devglib %mklibname verto-glib -d
%define libev %mklibname verto-libev %{major}
%define devev %mklibname verto-libev -d
%define libevent %mklibname verto-libevent %{major}
%define devevent %mklibname verto-libevent -d
%define libtevent %mklibname verto-tevent %{major}
%define devtevent %mklibname verto-tevent -d

Summary:	Main loop abstraction library
Name:		libverto
Version:	0.2.5
Release:	3
License:	MIT
Group:		System/Libraries
Url:		https://fedorahosted.org/libverto/
Source0:	http://fedorahosted.org/releases/l/i/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libev)
BuildRequires:	pkgconfig(libevent)
BuildRequires:	pkgconfig(tevent)

%description
libverto provides a way for libraries to expose asynchronous interfaces
without having to choose a particular event loop, offloading this
decision to the end application which consumes the library.

If you are packaging an application, not library, based on libverto,
you should depend either on a specific implementation module or you
can depend on the virtual provides 'libverto-module-base'. This will
ensure that you have at least one module installed that provides io,
timeout and signal functionality. Currently glib is the only module
that does not provide these three because it lacks signal. However,
glib will support signal in the future.

%files
%doc AUTHORS ChangeLog COPYING NEWS README

#----------------------------------------------------------------------------

%package -n %{libverto}
Summary:	System libraries for %{name}
Group:		System/Libraries

%description -n %{libverto}
The %{name} package contains libraries for %{name}.

%files -n %{libverto}
%{_libdir}/%{name}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devverto}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libverto} = %{EVRD}

%description -n %{devverto}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%files -n %{devverto}
%{_includedir}/verto.h
%{_includedir}/verto-module.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#----------------------------------------------------------------------------

%package -n %{libglib}
Summary:	glib module for %{name}
Group:		System/Libraries
Conflicts:	%{_lib}glib < 0.2.5
Obsoletes:	%{_lib}glib < 0.2.5

%description -n %{libglib}
Module for %{name} which provides integration with glib.

This package does NOT yet provide %{name}-module-base.

%files -n %{libglib}
%{_libdir}/%{name}-glib.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devglib}
Summary:	Development files for %{name}-glib
Group:		Development/C
Requires:	%{libglib} = %{EVRD}
Requires:	%{devverto} = %{EVRD}
Conflicts:	%{_lib}glib-devel < 0.2.5
Obsoletes:	%{_lib}glib-devel < 0.2.5

%description -n %{devglib}
The %{name}-glib-devel package contains libraries and header files for
developing applications that use %{name}-glib.

%files -n %{devglib}
%{_includedir}/verto-glib.h
%{_libdir}/%{name}-glib.so
%{_libdir}/pkgconfig/%{name}-glib.pc

#----------------------------------------------------------------------------

%package -n %{libev}
Summary:	libev module for %{name}
Group:		System/Libraries
Provides:	%{name}-module-base = %{EVRD}
Conflicts:	%{_lib}ev < 0.2.5
Obsoletes:	%{_lib}ev < 0.2.5

%description -n %{libev}
Module for %{name} which provides integration with libev.

This package provides %{name}-module-base since it supports io, timeout
and signal.

%files -n %{libev}
%{_libdir}/%{name}-libev.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devev}
Summary:	Development files for %{name}-libev
Group:		Development/C
Requires:	%{libev} = %{EVRD}
Requires:	%{devverto} = %{EVRD}
Conflicts:	%{_lib}ev-devel < 0.2.5
Obsoletes:	%{_lib}ev-devel < 0.2.5

%description -n %{devev}
The %{name}-libev-devel package contains libraries and header files for
developing applications that use %{name}-libev.

This package provides %{name}-module-base since it supports io, timeout
and signal.

%files -n %{devev}
%{_includedir}/verto-libev.h
%{_libdir}/%{name}-libev.so
%{_libdir}/pkgconfig/%{name}-libev.pc

#----------------------------------------------------------------------------

%package -n %{libevent}
Summary:	Libevent module for %{name}
Group:		System/Libraries
Provides:	%{name}-module-base = %{EVRD}
Conflicts:	%{_lib}event < 0.2.5
Obsoletes:	%{_lib}event < 0.2.5

%description -n %{libevent}
Module for %{name} which provides integration with libevent.

%files -n %{libevent}
%{_libdir}/%{name}-libevent.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devevent}
Summary:	Development files for %{name}-libevent
Group:		Development/C
Requires:	%{libevent} = %{EVRD}
Requires:	%{devverto} = %{EVRD}
Conflicts:	%{_lib}event-devel < 0.2.5
Obsoletes:	%{_lib}event-devel < 0.2.5

%description -n %{devevent}
The %{name}-libevent-devel package contains libraries and header files for
developing applications that use %{name}-libevent.

%files -n %{devevent}
%{_includedir}/verto-libevent.h
%{_libdir}/%{name}-libevent.so
%{_libdir}/pkgconfig/%{name}-libevent.pc

#----------------------------------------------------------------------------

%package -n %{libtevent}
Summary:	tevent module for %{name}
Group:		System/Libraries
Provides:	%{name}-module-base = %{EVRD}
Conflicts:	%{_lib}tevent < 0.2.5
Obsoletes:	%{_lib}tevent < 0.2.5

%description -n %{libtevent}
Module for %{name} which provides integration with tevent.

This package provides %{name}-module-base since it supports io, timeout
and signal.

%files -n %{libtevent}
%{_libdir}/%{name}-tevent.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devtevent}
Summary:	Development files for %{name}-tevent
Group:		Development/C
Requires:	%{libtevent} = %{EVRD}
Requires:	%{devverto} = %{EVRD}
Conflicts:	%{_lib}tevent-devel < 0.2.5
Obsoletes:	%{_lib}tevent-devel < 0.2.5

%description -n %{devtevent}
The %{name}-tevent-devel package contains libraries and header files for
developing applications that use %{name}-tevent.

%files -n %{devtevent}
%{_includedir}/verto-tevent.h
%{_libdir}/%{name}-tevent.so
%{_libdir}/pkgconfig/%{name}-tevent.pc

#----------------------------------------------------------------------------

%prep
%setup -q

%build
autoreconf -fi
%configure2_5x --disable-static
make

%install
%makeinstall_std


%changelog
* Wed Jul 23 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.2.5-3
+ Revision: 1d7c809
- Properly name library and devel packages


